package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.EVehicleArrivalDepartureInfoE;

import java.util.List;

/**
 * web-domain
 *
 * @Author dearLin
 * @Date 2026-05-27 17:45:44
 */
public interface EVehicleArrivalDepartureInfoGateway {

    /**
     * 新增
     */
    Boolean add(EVehicleArrivalDepartureInfoE eVehicleArrivalDepartureInfoE);

    /**
     * 修改
     */
    Boolean update(EVehicleArrivalDepartureInfoE eVehicleArrivalDepartureInfoE);

    /**
     * 删除
     */
    Boolean deletedEVehicleArrivalDepartureInfoById(Long id);

    Boolean deletedEVehicleArrivalDepartureInfoByIds(List<Long> id);
}

